Bug 1972278 - libceph: allow addrvecs with a single NONE/blank address [NEEDINFO]
Summary: libceph: allow addrvecs with a single NONE/blank address
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: kernel
Version: 8.4
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: beta
: 8.5
Assignee: Jeff Layton
QA Contact: Yogesh Mane
John Wilkins
URL:
Whiteboard:
Depends On:
Blocks: 1996682
TreeView+ depends on / blocked
 
Reported: 2021-06-15 14:59 UTC by Ilya Dryomov
Modified: 2021-11-10 05:47 UTC (History)
19 users (show)

Fixed In Version: kernel-4.18.0-322.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1996682 (view as bug list)
Environment:
Last Closed: 2021-11-09 19:22:10 UTC
Type: Bug
Target Upstream Version:
coughlan: needinfo? (jreznik)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 51112 0 None None None 2021-06-15 15:22:54 UTC
Gitlab redhat/rhel/src/kernel rhel-8 merge_requests 875 0 None None None 2021-06-24 13:13:14 UTC
Red Hat Knowledge Base (Solution) 6272461 0 None None None 2021-08-20 07:10:36 UTC
Red Hat Product Errata RHSA-2021:4356 0 None None None 2021-11-09 19:22:47 UTC

Comment 4 Veera Raghava Reddy 2021-06-24 15:14:28 UTC
Hi Hemanth, Yogehs,
Please plan for testing this BZ.

Regards,
Veera

Comment 23 Alex Iribarren 2021-07-21 11:45:43 UTC
Will 4.18.0-322 be released during 8.4, or will we have to wait until the end of the year for 8.5?

Also, any idea on when we might see this kernel on CentOS Stream 8? It's been in testing for a while now.

Comment 29 Carl George 🤠 2021-07-29 02:50:26 UTC
Alex, we just exported kernel-4.18.0-326.el8 to git.centos.org today [0], which includes the fix for this bug (part of kernel-4.18.0-322.el8).

- libceph: allow addrvecs with a single NONE/blank address (Jeff Layton) [1972278]

I've built that kernel for CentOS Stream 8 [1] and it's being pushed out to the mirrors now.

[0] https://git.centos.org/rpms/kernel/c/01ab02ad18f1ef78498a42cc4da392f6632346f6?branch=c8s
[1] https://koji.mbox.centos.org/koji/buildinfo?buildID=18572

Comment 34 Norm Murray 2021-08-21 01:10:09 UTC
Setting zstream+ based on request from ceph team, who has no designated PO to do so.

Comment 38 errata-xmlrpc 2021-11-09 19:22:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: kernel security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4356


Note You need to log in before you can comment on or make changes to this bug.